PDA

View Full Version : error loading shared libraries



GrandpaGenocide
25th July 2007, 04:38 AM
trying to install a server side chat program and am getting this lib error

Configuring the installer for this system's environment...
dirname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
/bin/ls: error while loading shared libraries: librt.so.1: cannot open shared object file: No such file or directory
basename: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
dirname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
basename: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
hostname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory

glibc is installed

Mat
25th July 2007, 05:09 AM
whenever compiling something and you get complaints of something missing, you usually need the -devel packages as well..

so, try "yum install glibc-devel" and you should be good


Mat

GrandpaGenocide
25th July 2007, 09:37 PM
glibc-devel is already installed

brunson
25th July 2007, 09:42 PM
Whatever you're running must be playing games with the shared library environment for some reason. Each of those error message is the dynamic linker telling you it couldn't find the appropriate libc to run the command at the beginning of the line: dirname, /bin/ls, basename, hostname.

You may have to dig into the script to see if it's messing with LD_LIBRARY_PATH or doing a chroot.

GrandpaGenocide
25th July 2007, 09:52 PM
ok thanks. I have it set up as a web server with ISPconfig, minimal install. Im trying to install a chat server. Any idea on how i can fix it. Warning I am still a noob at this so please be patient

brunson
25th July 2007, 10:05 PM
What is the software you're installing?

GrandpaGenocide
25th July 2007, 10:08 PM
http://www.weirdoz.org/visualchat/

visual chat, java is already installed on this machine

GrandpaGenocide
26th July 2007, 12:51 AM
http://forums.fedoraforum.org/forum/showthread.php?t=110855

found the solution thanks for the help